<app-menu-label
  [enableMenuLabelTopShadow]="false"
  [selected]="selected"
  [loaded]="contentLoaded">
  <div class="slides-label-container" [ngClass]="{'slides-max-label': labelState === MENU_STATE.MAX}">
    <b>SLIDES</b>
    <div class="text-clamp" [matTooltip]="'Name: '+ displayId ?? '-'&#13; + 'ID: ' +labelId">
      {{displayId ?? labelId}}
    </div>
    <button
      class="btn-slide-tray"
      mat-icon-button
      matTooltip="Tray view"
      *ngIf="labelState !== MENU_STATE.MAX"
      (click)="toggleTrayViewClick.emit($event)">
      <mat-icon class="tray-button">view_module</mat-icon>
    </button>
  </div>
</app-menu-label>
